BLKDEV_GET(9)

NAME
blkdev_get - open a block device

SYNOPSIS

int blkdev_get(struct block_device * bdev, fmode_t mode, void * holder);

ARGUMENTS

bdev
    block_device to open

mode
    FMODE_* mask

holder
    exclusive holder identifier

DESCRIPTION

Open bdev with mode. If mode includes FMODE_EXCL, bdev is open with exclusive access. Specifying FMODE_EXCL with NULLholder is invalid. Exclusive opens may nest for the same holder.

On success, the reference count of bdev is unchanged. On failure, bdev is put.

CONTEXT

Might sleep.

RETURNS

0 on success, -errno on failure.

COPYRIGHT